Package org.flowable.variable.api.history

# Interface HistoricVariableInstance

All Superinterfaces:
  `HistoricData`

public interface HistoricVariableInstance extends HistoricData
A single process variable containing the last value when its process instance has finished.

Author:
  Christian Lipphardt (camunda), ruecker, Joram Barrez

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Date`
  `getCreateTime()`
  Returns the time when the variable was created.
  `String`
  `getExecutionId()`
  The process instance reference.
  `String`
  `getId()`
  The unique DB id
  `Date`
  `getLastUpdatedTime()`
  Returns the time when the value of the variable was last updated.
  `String`
  `getMetaInfo()`
  `String`
  `getProcessInstanceId()`
  The process instance reference.
  `String`
  `getScopeId()`
  `String`
  `getScopeType()`
  `String`
  `getSubScopeId()`
  `String`
  `getTaskId()`
  `Object`
  `getValue()`
  `String`
  `getVariableName()`
  `String`
  `getVariableTypeName()`

  ### Methods inherited from interface org.flowable.common.engine.api.history.HistoricData

  `getTime`

- ## Method Details

  - ### getId

    String getId()
    The unique DB id

  - ### getVariableName

    String getVariableName()

  - ### getVariableTypeName

    String getVariableTypeName()

  - ### getValue

    Object getValue()

  - ### getProcessInstanceId

    String getProcessInstanceId()
    The process instance reference.

  - ### getExecutionId

    String getExecutionId()
    The process instance reference.

  - ### getTaskId

    String getTaskId()
    Returns:
      the task id of the task, in case this variable instance has been set locally on a task. Returns null, if this variable is not related to a task.

  - ### getCreateTime

    Date getCreateTime()
    Returns the time when the variable was created.

  - ### getLastUpdatedTime

    Date getLastUpdatedTime()
    Returns the time when the value of the variable was last updated. Note that a `HistoricVariableInstance` only contains the latest value of the variable.

  - ### getScopeId

    String getScopeId()

  - ### getSubScopeId

    String getSubScopeId()

  - ### getScopeType

    String getScopeType()

  - ### getMetaInfo

    String getMetaInfo()